﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Automation;

namespace TreeViewTest
{
    public class CheckStateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool? result = (bool?)value;
            if (result.HasValue)
            {
                return (bool)result ? ToggleState.On : ToggleState.Off;
            }
            else 
            {
                return ToggleState.Indeterminate;
            }           
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            ToggleState state = (ToggleState)value;
            if (state == ToggleState.On)
            {
                return true;
            }
            else if (state == ToggleState.Off)
            {
                return false;
            }
            else
                return null;
        }
    }
}
